
<p align="center">
	<img src=".github/sasha-logo.png" alt="sasha" />
	<a href="https://dashboard.buddybuild.com/apps/59c2143aacf26b0001a4235c/build/latest?branch=master">
        <img src="https://dashboard.buddybuild.com/api/statusImage?appID=59c2143aacf26b0001a4235c&branch=master&build=latest" />
	<a href="https://swift.org">
    	<img src="https://img.shields.io/badge/swift-4-orange.svg?style=flat" alt="Swift 4" />
	</a>
		<img src="https://img.shields.io/badge/homebrew-compatible-brightgreen.svg?style=flat" alt="Make" />
  <a href="https://swift.org/package-manager">
  		<img src="https://img.shields.io/badge/spm-compatible-brightgreen.svg?style=flat" alt="Swift Package Manager" />
	</a>
  	<a href="https://github.com/JohnSundell/Marathon">
  		<img src="https://img.shields.io/badge/marathon-compatible-brightgreen.svg?style=flat" alt="Marathon" />
	</a>
</p>
Sasha is an easy-to-use CLI app for routine designer tasks.

<p align="center">
  <a href="#features">Features</a> • <a href="#using">Using</a> • <a href="#installing">Installing</a> • <a href="#author">Author</a> • <a href="#license">License</a>
</p>

## Features
- Project folder tree generation
- Icon slicing for iOS + WatchOS + MacOS + Carplay and Android

## Using
Sasha has two main commands - `project` and `icons`.

```bash
$ sasha project --name ProjectName
```
Sasha generates folder tree with name passed via `--name` option. By default Sasha uses this project structure:

```
iOS
-UI
--old
--png
-UX
--old
--png
Android
-UI
--old
--png
-UX
--old
--png
references
-main_screens
-menu
-cards
-another_case
stuff
-logos
-icons
-patterns
-stocks
-source
```
To change it, open `~/.sasha/project.sasha` file in your favourite text editor and make custom project structure.

```bash
$ sasha icons --platform iOS --name icon.png
```
Sasha generates icons in needed resolutions as well. For Apple platforms Sasha generates `AppIcon.appiconset`, which iOS developer can drag and drop right into `Images.xcassets` without manual icon sorting 👨🏻‍💻👍.

## Installing

### Homebrew (recommended):

```bash
$ brew install artemnovichkov/projects/sasha
```

### Make:

```bash
$ git clone https://github.com/artemnovichkov/sasha.git
$ cd sasha
$ make
```

### Swift Package Manager:

```bash
$ git clone https://github.com/artemnovichkov/sasha.git
$ cd sasha
$ make build
$ cp -f .build/release/sasha /usr/local/bin/sasha
$ cp -r .sasha ~
```

### Marathon:

- Install [Marathon](https://github.com/johnsundell/marathon#installing).
- Add Files using `$ marathon add https://github.com/artemnovichkov/sasha.git`.
- Run your script using `$ marathon run <path-to-your-script>`.

## Author

Artem Novichkov, novichkoff93@gmail.com

## License

Sasha is available under the MIT license. See the LICENSE file for more info.

